global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/devsvc/*.log
  logPath: /app/log/devsvc
devsvc:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: devsvc
    tag: snapshot-a12ffcc
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8007
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 64Mi
    limits:
      cpu: 200m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8007
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8007
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: devsvc-service
    type: ClusterIP
    port: 8007
    targetPort: 8007
    serviceMonitor:
      enabled: false
  ingresses:
  - name: devsvc-ingress
    host: devsvc.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: devsvc-service
          port:
            number: 8007
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: devsvc.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: devsvc
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8007
    mongodbName: freeleaps2
    mongodbUri: mongodb+srv://jetli:8IHKx6dZK8BfugGp@freeleaps2.hanbj.mongodb.net/
    giteaToken: 65bc8b16705414abbdaf8e6262ad698015ce49d9
    giteaUrl: http://freeleaps-alpha-gitea-http.freeleaps-alpha.svc.freeleaps.cluster:3000
    giteaDepotOrganization: products
    codeDepotHttpPort: 443
    codeDepotSshPort: 22
    codeDepotDomainName: alpha.gitea.freeleaps.mathmast.com
    metricsEnabled: 'false'
    probesEnabled: 'true'
    logBasePath: /app/log/devsvc
    rabbitmqHost: freeleaps-alpha-rabbitmq.freeleaps-alpha.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqPassword: vHR8Tm7WdFd6KqEM
    rabbitmqVirtualHost: /
    defaultGitUsername: freeleaps
    defaultGitPassword: r8sA8CPHD9!bt6d
    defaultDockerRegistryUrl: https://hub.docker.com
    defaultDockerRegistryRepositoryName: freeleapsdevops
    devopsDockerRegistryUsername: freeleapsdevops
    devopsDockerRegistryPassword: dckr_pat_y-KsBOwcEGTdCQDsAb-NBz9_beg
  vpa:
    minAllowed:
      enabled: false
      cpu: 50m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
